%{!?tetex:%global tetex 1}
%{!?_pkgdocdir: %global _pkgdocdir %{_docdir}/%{name}-%{version}}
%global _vendorperllibdir %{_datadir}/perl5/vendor_perl

Summary: A text formatting package based on SGML
Name: linuxdoc-tools
Version: 0.9.82
Release:    1%{?dist}
License: MIT
Source0: http://http.us.debian.org/debian/pool/main/l/linuxdoc-tools/%{name}_%{version}.orig.tar.gz
Patch01: 0001-downstream-Changed-default-papersize-to-letter.patch
Patch02: 0002-downstream-Added-fix-to-have-lib64-in-perl-path-on-6.patch
Patch3: linuxdoc-tools-c99.patch
Url: http://packages.qa.debian.org/l/linuxdoc-tools.html
BuildRequires: git gcc
BuildRequires: flex flex-static sgml-common jade gawk groff autoconf automake texinfo
BuildRequires: perl-interpreter >= 5.10.1
BuildRequires: perl-generators
BuildRequires: make
Requires: jade gawk groff
Requires(post): %{_bindir}/texconfig-sys
Requires(postun): %{_bindir}/texconfig-sys
%if %{tetex}
Requires: tex(latex)
%endif
Provides: sgml-tools = %{version}-%{release}
Provides: linuxdoc-sgml = %{version}-%{release}

%description
Linuxdoc-tools is a text formatting suite based on SGML (Standard
Generalized Markup Language), using the LinuxDoc document type.
Linuxdoc-tools allows you to produce LaTeX, HTML, GNU info, LyX, RTF,
plain text (via groff), and other format outputs from a single SGML
source.  Linuxdoc-tools is intended for writing technical software
documentation.

%prep
%autosetup -S git

%build
autoreconf -i
%configure --with-installed-nsgmls --with-installed-iso-entities --disable-docs
pushd entity-map
autoconf
%configure --enable-docs pdf
popd

make OPTIMIZE="$RPM_OPT_FLAGS" %{?_smp_mflags}
perl -pi -e 's,\$main::prefix/share/sgml/iso-entities-8879.1986/iso-entities.cat,/usr/share/sgml/sgml-iso-entities-8879.1986/catalog,' \
           perl5lib/LinuxDocTools.pm

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{_vendorperllibdir}
make install DESTDIR=%{buildroot} perl5libdir=%{_vendorperllibdir}
[ %{buildroot}%{_docdir}/%{name} = %{buildroot}%{_pkgdocdir} ] \
           || mv %{buildroot}%{_docdir}/%{name} %{buildroot}%{_pkgdocdir}
perl -pi -e 's,/usr/share/sgml/iso-entities-8879.1986/iso-entities.cat,\$main::prefix/share/sgml/sgml-iso-entities-8879.1986/catalog,' \
           %{buildroot}%{_vendorperllibdir}/LinuxDocTools.pm
mkdir -p %{buildroot}%{_pkgdocdir}/sgmls-1.1
cp -p sgmls-1.1/LICENSE %{buildroot}%{_pkgdocdir}/sgmls-1.1/LICENSE
mkdir -p %{buildroot}%{_pkgdocdir}/iso-entities
cp -p iso-entities/COPYING %{buildroot}%{_pkgdocdir}/iso-entities/COPYING
mkdir -p %{buildroot}%{_pkgdocdir}/entity-map
cp -p entity-map/COPYING %{buildroot}%{_pkgdocdir}/entity-map/COPYING
cp -p COPYING %{buildroot}%{_pkgdocdir}/


rm -f %{buildroot}%{_datadir}/%{name}/epsf.*
rm -f %{buildroot}%{_datadir}/%{name}/url.sty
install -d %{buildroot}%{_datadir}/texmf/tex/latex/misc
mv %{buildroot}%{_datadir}/%{name}/*.sty \
  %{buildroot}%{_datadir}/texmf/tex/latex/misc

%post
%{_bindir}/texconfig-sys rehash 2> /dev/null || :
exit 0

%postun
%{_bindir}/texconfig-sys rehash 2> /dev/null || :
exit 0

%files
%doc %{_pkgdocdir}
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/entity-map
%{_datadir}/texmf/tex/latex/misc/*.sty
%dir %{_vendorperllibdir}/Text
%{_vendorperllibdir}/Text/EntityMap.pm
%dir %{_vendorperllibdir}/LinuxDocTools
%{_vendorperllibdir}/LinuxDocTools.pm
%{_vendorperllibdir}/LinuxDocTools/*.pm
%{_vendorperllibdir}/LinuxDocTools/Data/*.pm
%{_mandir}/*/*

%changelog
* Wed Jul 24 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.9.82-1
- initial build
